"{ Encoding: utf8 }" !
!InspectorView methodsFor:'presentation'!

listEntryForName:nameString value:value
    |entryString|

    UserPreferences current showTypeIndicatorInInspector ifFalse:[
        ^ nameString
    ].

    Error handle:[:ex |
        ^ nameString
    ] do:[
        entryString := nameString allBold,(self valueStringInListEntryForValue:value).
        (value isColor and:[value red notNil]) ifTrue:[
            entryString := entryString
                         , '  ' , ('   '
                            colorizeAllWith:((value brightness < 0.5)
                                    ifTrue:[ Color white ]
                                    ifFalse:[ Color black ])
                            on:value).
        ].

        ^ LabelAndIcon string:entryString image:(self iconForValue:value)
    ].

    "Created: / 16-05-2012 / 18:42:28 / cg"
! !

